/**
 * EncodingContentsFilter
 * エンコーディングを自動的に正しいものに変換するフィルタ
 */
package org.logical_paradox.rss.http;

import java.io.UnsupportedEncodingException;

public class EncodingContentsFilter extends ContentsFilter {
	String baseEncoding = null;

	public EncodingContentsFilter() {
	}
	public EncodingContentsFilter( String encoding ) {
		if( encoding != null ) {
			baseEncoding = new String( encoding );
		}
	}

	public String filter( String src ) {
		if( baseEncoding == null ) {
			return src;
		}

		try {
			// 変換作業
			String dest = new String( src.getBytes( System.getProperty( "file.encoding" ) ), baseEncoding );
			return dest;
		} catch( UnsupportedEncodingException ue ) {
			// 変換できない場合は，そのまま返す
			return src;
		}
	}
}

// end of EncodingContentsFilter.java
